#!/bin/sh
dir=/media/mmcblk0p1/creality/video


## if record is enabled, the oldest files will be removed when space is below min space 
## unit:kB  500M
min_space=512000

scan_subdir()
{
  local path=$1
  
  for line in `ls -t $path`
  do
    local file=$path/$line
    [ -f $file ] && 
    {
      rm -f $file
      return
    }
    
  done
  
}

scan_maindir()
{
  local path=$1
  list=`ls -t $path`
  for line in $list
  do
    local file=$path/$line
    if [ -f $file ]
    then
      rm -f $file
      return
    elif [ -d $file ] 
    then
      scan_subdir $file
      return
   fi 
  done
  
}


if [ -f /tmp/debug/rec ]
then 
  total=`ls -l  $dir|wc -l`
  free=`df |grep mmcblk0p1 |awk '{print $4 }'`
  if [ $total -ge 1 ]
  then
    if [ $free -lt $min_space ]
    then
      echo no space
      scan_maindir $dir
    fi
  fi
fi
